%global xfceversion 4.14

Name:           xfce4-sensors-plugin
Version:        1.3.92
Release:        1
Summary:        Hardware sensors plugin for the Xfce panel
License:        GPLv2+
#Group:          Development/Libraries
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/1.3/%{name}-%{version}.tar.bz2
Patch0:         0001-Fix-multiple-definition-errors-under-GCC-10.0.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:      noarch
BuildRequires:  libnotify-devel >= 0.4
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  lm_sensors-devel >= 2.8
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  hddtemp
BuildRequires:  intltool
BuildRequires:  libtool
Requires:       hddtemp
Requires:       libxfce4util-devel
Requires:       lm_sensors >= 2.8
Requires:       xfce4-panel >= %{xfceversion}

%description
The sensors plugin provides a handy way to monitor your hard disk,
processor, fans, and other critical hardware right on your Xfce panel.

%prep
%autosetup -p1

%build
%configure --disable-static \
        --enable-sysfsacpi=yes \
        --with-pathhddtemp=%{_bindir}/hddtemp
%make_build


%install
%make_install

%find_lang %{name}

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

desktop-file-install --vendor "" \
        --add-category "System" \
        --remove-category "Utility" \
        --dir %{buildroot}%{_datadir}/applications \
        --delete-original \
        %{buildroot}%{_datadir}/applications/xfce4-sensors.desktop

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/xfce4-sensors
%dir %{_libdir}/xfce4/modules/
%{_libdir}/pkgconfig/libxfce4sensors-1.0.pc
%{_libdir}/xfce4/modules/libxfce4sensors.so
%{_libdir}/xfce4/modules/libxfce4sensors.so.*
%{_libdir}/xfce4/panel/plugins/libxfce4-sensors-plugin.so
%{_datadir}/applications/xfce4-sensors.desktop
%{_datadir}/icons/hicolor/*/apps/xfce-sensors.png
%{_datadir}/icons/hicolor/scalable/apps/xfce-sensors.svg
%{_datadir}/xfce4/panel/plugins/xfce4-sensors-plugin.*
%{_mandir}/man1/xfce4-sensors.1.gz

%changelog
* Mon Jul 27 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 1.3.92-1
- Init package
